#ifndef IMAGEOBJ_H
#define IMAGEOBJ_H

#include <qimage.h>
#include <q3canvas.h>
#include <qpainter.h>
//Added by qt3to4:
#include <QPixmap>

#include "mapobj.h"

enum ImageType {qimage,qpixmap,undef};

class ImageObj: public Q3CanvasRectangle
{
public:
    ImageObj( Q3Canvas *canvas );
    ~ImageObj();
	virtual void copy (ImageObj*);
    virtual void setVisibility(bool);
	void save (const QString &, const char *);
	bool load (const QString &);
	bool load (QPixmap);
	void setImage(QImage img);
	QPixmap getPixmap();
protected:
    void drawShape( QPainter & );
private:
    QImage image;
    QPixmap pixmap;
	ImageType type;
};
#endif
